<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		function operacion1(arg1, arg2) {
			let suma=0;
			let resta=0;
			let producto=0;
			

			suma=arg1+arg2;
			resta=arg1-arg2;
			producto=arg1*arg2;

			document.write("Suma: ", suma, "<br>");
			document.write("Resta: ", resta, "<br>");
			document.write("Producto: ", producto, "<br>");
		}

		/*
			Para que una funcion devuelva más de un valor,
			la manera de hacerlo es con un array y en cada
			posicion se almacena la operacion
		 */

		function operacion2(arg1, arg2){
			let resultados=[];

			resultados[0]=arg1+arg2;
			resultados[1]=arg1-arg2;
			resultados[2]=arg1*arg2;

			return resultados;


		}


	</script>
</head>
<body>
	<!-- Funcion principal -->
	
	Funcion que acepta como argumento dos numeros y muestra 
	en pantalla la suma, resta y producto de ambos. <br>
	

	<script type="text/javascript">
		let n1=10;
	 	let n2=5;
		let r=[];


		// llamada a la funcion
		operacion1(n1, n2);

		r=operacion2(1,5);
		/*
		document.write(r);
		document.write("<br>");
		*/
		document.write("Suma: ", r[0], "<br>");
		document.write("Resta: ", r[1], "<br>");
		document.write("Producto: ", r[2], "<br>");


		r=operacion2(7,89);
		document.write("Suma: ", r[0], "<br>");
		document.write("Resta: ", r[1], "<br>");
		document.write("Producto: ", r[2], "<br>");

	</script>
</body>
</html>